<div class="container">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col">
                            <div class="d-flex justify-content-center">
                                <h3>Что лучше сбережёт энергию?</h3>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <app-progress-bar
                                [currentValue]="currentQuizNumber"
                                [minValue]="0"
                                [maxValue]="numberOfQuizzes"></app-progress-bar>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="currentQuiz" class="row mt-3">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <app-quiz [quiz]="currentQuiz"
                        (onCorrect)="onCorrect()"
                        (onIncorrect)="onIncorrect()"></app-quiz>
                </div>
            </div>
        </div>
    </div>
    <div class="row mt-4">
        <div class="col">
            <div class="d-flex justify-content-center">
                <app-main-menu-button></app-main-menu-button>
            </div>
        </div>
    </div>
</div>
<app-correct-alert [isShown]="isCorrectAlertShown"
    [quiz]="currentQuiz"
    [onNextClick]="onNextClick"></app-correct-alert>
<app-incorrect-alert [isShown]="isIncorrectAlertShown"></app-incorrect-alert>
<app-win-alert [isShown]="isWinAlertShown"></app-win-alert>
